2.3. 升级 Laravel-Admin

本教程最新版为 8.x,当前版本已放弃维护,请阅读最新版本!

升级 Laravel-Admin

目前 Laravel Shop 安装的 Laravel-Admin 版本比较老(1.5.18),有一些 Bug 可能会影响到我们后续的开发,所以我们需要先升级到最新版本:

$ composer require encore/laravel-admin:1.6.0

这里我们将 Laravel-Admin 的版本锁死成 1.6.0,这是为了避免 Laravel-Admin 版本升级导致用法改变。

实际上有些 Bug 是我在编写本课程时发现的,比如这个这个

我们在开发的过程中很有可能就会遇到第三方包甚至是 Laravel 框架本身的 Bug,在确认是对方的 Bug 而不是自己用法问题的情况下可以到对应的 Github 项目下提出 Issue,当然如果能够直接提交一个修复方案是最好不过了。

然后再通过以下命令清除模板文件缓存:

$ php artisan view:clear

更新前端文件

La...

本文章首发在 LearnKu.com 网站上。

为了保证课程的高品质,我们需要对课程进行收费。付费后 才能观看剩余内容。 购买

上一篇 下一篇
Summer
《L01 基础入门》
我们将带你从零开发一个项目并部署到线上,本课程教授 Web 开发中专业、实用的技能,如 Git 工作流、Laravel Mix 前端工作流等。
《L03 构架 API 服务器》
你将学到如 RESTFul 设计风格、PostMan 的使用、OAuth 流程,JWT 概念及使用 和 API 开发相关的进阶知识。
讨论数量: 9

萧宇宸
Composer require encore/Laravel-admin:1.6.0 没有对应的包啊?
1 个点赞 | 7 个回复 | 问答 | 课程版本 5.5
Alick
更新 Laravel-admin 之后,打开后台找不到 content.blade?
1 个点赞 | 2 个回复 | 问答 | 课程版本 5.5
zh117
如何移除详情和编辑页面的右上角操作键?
0 个点赞 | 6 个回复 | 问答 | 课程版本 5.5
windtalker
这个报错是什么回事啊?我是从第五个教程过来的
0 个点赞 | 5 个回复 | 问答 | 课程版本 5.5
xingchenboy
Laravel_admin 1.6.0 版本已经没有了,现在是 1.6.3
0 个点赞 | 2 个回复 | 分享 | 课程版本 5.5
小花儿
升级 Laravel-admin 的时候出现一个警告
0 个点赞 | 1 个回复 | 问答 | 课程版本 5.5
Krisji
sweealter 确定升级了 2.0 吗? 为什么 页面加载 JS 还是 1.0
0 个点赞 | 1 个回复 | 问答 | 课程版本 5.5
kuang
升级 Laravel-admin 出错?
0 个点赞 | 1 个回复 | 问答 | 课程版本 5.5